package com.oo.eye.mvp.contract;

import android.content.Context;

import com.app.baselibrary.base.mvp.BasePresenter;
import com.app.baselibrary.base.mvp.BaseView;
import com.oo.eye.bean.StudentBean;

import java.util.ArrayList;

/**
 * Created by xucon on 2017/12/26.
 */

public interface EyeHistroyContract {
	interface View extends BaseView<Presenter> {
		public void getEyeHistroyNetSuccee(ArrayList<StudentBean> beans);
		public void getEyeHistroyFail(String msg);
	}

	interface Presenter extends BasePresenter {
		public void getEyeHistroy(Context context);
	}
}
